Theme
Create Video
POST
https://www.kkiai.com/v1/videos
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Body Parameters (multipart/form-data)
| Parameter | Type | Required | Description |
|---|---|---|---|
model | string | Required | The video generation model to use (allowed values: sora-2, sora-2-pro). |
prompt | string | Required | Text prompt describing the video to be generated. |
seconds | string | Optional | Clip duration in seconds (allowed values: 4, 8, 12). Default is 4 seconds. |
size | string | Optional | Output resolution format as width x height (allowed values: 720x1280, 1280x720, 1024x1792, 1792x1024). Default is 720x1280. sora-2 supports 720x1280, 1280x720 sora-2-pro supports 1024x1792, 1792x1024 |
input_reference | file | Optional | Optional image reference to guide generation. |
watermark | string | Optional | -Available for all models |
private | string | Optional | -Available for all models |
style | string | Optional | -Available for all models Style supports only: thanksgiving, comic, news, selfie, nostalgic, anime |
cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/v1/videos' \
--header 'Authorization: Bearer <token>' \
--form 'model="sora-2"' \
--form 'prompt="A calico cat playing a piano on stage"' \
--form 'seconds="15"' \
--form 'size="720x1280"' \
--form 'input_reference=@"C:\\Users\\Administrator\\Desktop\\fuji-mountain-kawaguchiko-lake-morning-autumn-seasons-fuji-mountain-yamanachi-japan.jpg"'Response
🟢 200 Success
Response Example
json
{
"id": "video_5c6a605a-30c0-4a6a-9dbd-d1d6cfdd9980",
"object": "video",
"model": "sora-2",
"status": "queued",
"progress": 0,
"created_at": 1761622232,
"seconds": "10",
"size": "1280x720"
}